Package org.h2gis.functions.spatial.affine_transformations

# Class ST_Scale

java.lang.Object
org.h2gis.api.AbstractFunction
org.h2gis.api.DeterministicScalarFunction
org.h2gis.functions.spatial.affine_transformations.ST_Scale

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

public class ST_Scale extends org.h2gis.api.DeterministicScalarFunction
ST_Scale scales the given geometry by multiplying the coordinates by the indicated scale factors.

Author:
  Adam Gouge

## Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

## Constructor Summary

Constructors
Constructor
Description
`ST_Scale()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getJavaStaticMethod()`
`static org.locationtech.jts.geom.Geometry`
`scale(org.locationtech.jts.geom.Geometry geom, double xFactor, double yFactor)`
Scales the given geometry by multiplying the coordinates by the indicated x and y scale factors, leaving the z-coordinate untouched.
`static org.locationtech.jts.geom.Geometry`
`scale(org.locationtech.jts.geom.Geometry geom, double xFactor, double yFactor, double zFactor)`
Scales the given geometry by multiplying the coordinates by the indicated x, y and z scale factors.

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

## Constructor Details

### ST_Scale

public ST_Scale()

## Method Details

### getJavaStaticMethod

public String getJavaStaticMethod()

### scale

public static org.locationtech.jts.geom.Geometry scale(org.locationtech.jts.geom.Geometry geom, double xFactor, double yFactor)
Scales the given geometry by multiplying the coordinates by the indicated x and y scale factors, leaving the z-coordinate untouched.

Parameters:
  `geom` - Geometry
  `xFactor` - x scale factor
  `yFactor` - y scale factor
Returns:
  The geometry scaled by the given x and y scale factors

### scale

public static org.locationtech.jts.geom.Geometry scale(org.locationtech.jts.geom.Geometry geom, double xFactor, double yFactor, double zFactor)
Scales the given geometry by multiplying the coordinates by the indicated x, y and z scale factors.

Parameters:
  `geom` - Geometry
  `xFactor` - x scale factor
  `yFactor` - y scale factor
  `zFactor` - z scale factor
Returns:
  The geometry scaled by the given x, y and z scale factors